#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# (C) Copyright 2009, Markus Korn <thekorn@gmx.de>
#
# ##################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See file /usr/share/common-licenses/GPL-2 for more details.
#
# ##################################################################

from distutils.core import setup
import glob
import os
import re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)
   
setup(name='hugday-tools',
      author='Markus Korn',
      author_email='thekorn@gmx.de',
      maintainer='Markus Korn',
      maintainer_email='thekorn@gmx.de',
      url='https://launchpad.net/hugday-tools',
      license='GNU GPL v2',
      description='set of tools to simplify work on ubuntu hugdays',
      version=version,
      scripts=['hugday'],
)
